#![doc = include_str!("../README.md")]

#[doc(inline)]
pub use preserves::value;

pub mod actor;
pub mod bag;
pub mod dataspace;
pub mod during;
pub mod error;
pub mod pattern;
pub mod relay;
pub mod rewrite;

pub mod schemas {
    include!(concat!(env!("OUT_DIR"), "/src/schemas/mod.rs"));
}

pub mod skeleton;
pub mod sturdy;
pub mod tracer;

#[doc(inline)]
pub use during::entity;

#[doc(inline)]
pub use tracer::tracer;

#[doc(inline)]
pub use tracer::tracer_top;

#[doc(inline)]
pub use tracer::convenient_logging;
